﻿namespace TabsStudioMvcGroup
{
    public class Properties
    {
        public static readonly System.Windows.DependencyProperty TabInfoProperty;
        public static readonly System.Windows.DependencyProperty GroupNameProperty;
        public static readonly System.Windows.DependencyProperty IsControllerProperty;
        public static readonly System.Windows.DependencyProperty IsViewProperty;

        static Properties()
        {
            TabInfoProperty = System.Windows.DependencyProperty.RegisterAttached(
                "TabInfo", typeof(TabInfo), typeof(Properties));
            GroupNameProperty = System.Windows.DependencyProperty.RegisterAttached(
                "GroupName", typeof(string), typeof(Properties));
            IsControllerProperty = System.Windows.DependencyProperty.RegisterAttached(
                "IsController", typeof(bool), typeof(Properties));
            IsViewProperty = System.Windows.DependencyProperty.RegisterAttached(
                "IsView", typeof(bool), typeof(Properties));
        }

        public static void SetTabInfo(System.Windows.UIElement element, TabInfo value)
        {
            element.SetValue(TabInfoProperty, value);
        }

        public static TabInfo GetTabInfo(System.Windows.UIElement element)
        {
            return (TabInfo)element.GetValue(TabInfoProperty);
        }

        public static void SetGroupName(System.Windows.UIElement element, string value)
        {
            element.SetValue(GroupNameProperty, value);
        }

        public static string GetGroupName(System.Windows.UIElement element)
        {
            return (string)element.GetValue(GroupNameProperty);
        }

        public static void SetIsController(System.Windows.UIElement element, bool value)
        {
            element.SetValue(IsControllerProperty, value);
        }

        public static bool GetIsController(System.Windows.UIElement element)
        {
            return (bool)element.GetValue(IsControllerProperty);
        }

        public static void SetIsView(System.Windows.UIElement element, bool value)
        {
            element.SetValue(IsViewProperty, value);
        }

        public static bool GetIsView(System.Windows.UIElement element)
        {
            return (bool)element.GetValue(IsViewProperty);
        }
    }
}
